## org.apache.tools.ant.util.regexp
Class RegexpUtil

    java.lang.Object
      |
      +--org.apache.tools.ant.util.regexp.RegexpUtil

public class RegexpUtil
extends java.lang.Object

Regular expression utilities class which handles flag operations

Author:
  Matthew Inger

Constructor Summary
`RegexpUtil()`

Method Summary
`static boolean` `hasFlag(int options, int flag)`
`static int` `removeFlag(int options, int flag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpUtil

    public RegexpUtil()

Method Detail

### hasFlag

    public static final boolean hasFlag(int options,
                                        int flag)

### removeFlag

    public static final int removeFlag(int options,
                                       int flag)

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.